import { GradientStop } from "./GradientStop";
import { Color } from "./Color";
import { Base, Type } from "./type";
export declare class Brush extends Base {
    isGradient: boolean;
    isRadialGradient: boolean;
    isImageFill: boolean;
    _fill: string;
    fill: string;
    private f;
    private k;
    color: Color;
    i(): string;
    equals(a: any): boolean;
    getHashCode(): number;
    static create(val_: any): Brush;
    static $t: Type;
}
export declare class LinearGradientBrush extends Brush {
    constructor();
    useCustomDirection: boolean;
    startX: number;
    startY: number;
    endX: number;
    endY: number;
    isAbsolute: boolean;
    gradientStops: GradientStop[];
    clone(): LinearGradientBrush;
    equals(a: any): boolean;
    getHashCode(): number;
    i(): string;
    static $t: Type;
}
export declare class CssGradientUtil extends Base {
    static touch(): void;
    static isGradient(a: string): boolean;
    static brushFromGradientString(a: string): Brush;
    private static f(a);
    private static c(a);
    private static d(a);
    private static e(a);
    private static a(a);
    static $t: Type;
}
